PipeWire: pw_impl_port_events Struct Reference

PipeWire 1.4.7

Loading...
Searching...
No Matches
pw_impl_port_events Struct Reference
Implementation API » Port Impl

Port events, use pw_impl_port_add_listener. More...

`#include <pipewire/impl-port.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The port is destroyed.
void(* | free )(void *data)
| The port is freed.
void(* | initialized )(void *data)
| The port is initialized.
void(* | info_changed )(void *data, const struct pw_port_info *info)
| the port info changed
void(* | link_added )(void *data, struct pw_impl_link *link)
| a new link is added on this port
void(* | link_removed )(void *data, struct pw_impl_link *link)
| a link is removed from this port
void(* | state_changed )(void *data, enum pw_impl_port_state old, enum pw_impl_port_state state, const char *error)
| the state of the port changed
void(* | control_added )(void *data, struct pw_control *control)
| a control was added to the port
void(* | control_removed )(void *data, struct pw_control *control)
| a control was removed from the port
void(* | param_changed )(void *data, uint32_t id)
| a parameter changed, since version 1
void(* | latency_changed )(void *data)
| latency changed.
void(* | tag_changed )(void *data)
| tag changed.

## Detailed Description

Port events, use pw_impl_port_add_listener.

## Field Documentation

## ◆ version

uint32_t pw_impl_port_events::version

## ◆ destroy

void(* pw_impl_port_events::destroy) (void *data)

The port is destroyed.

## ◆ free

void(* pw_impl_port_events::free) (void *data)

The port is freed.

## ◆ initialized

void(* pw_impl_port_events::initialized) (void *data)

The port is initialized.

## ◆ info_changed

void(* pw_impl_port_events::info_changed) (void *data, const struct pw_port_info *info)

the port info changed

## ◆ link_added

void(* pw_impl_port_events::link_added) (void *data, struct pw_impl_link *link)

a new link is added on this port

## ◆ link_removed

void(* pw_impl_port_events::link_removed) (void *data, struct pw_impl_link *link)

a link is removed from this port

## ◆ state_changed

void(* pw_impl_port_events::state_changed) (void *data, enum pw_impl_port_state old, enum pw_impl_port_state state, const char *error)

the state of the port changed

## ◆ control_added

void(* pw_impl_port_events::control_added) (void *data, struct pw_control *control)

a control was added to the port

## ◆ control_removed

void(* pw_impl_port_events::control_removed) (void *data, struct pw_control *control)

a control was removed from the port

## ◆ param_changed

void(* pw_impl_port_events::param_changed) (void *data, uint32_t id)

a parameter changed, since version 1

## ◆ latency_changed

void(* pw_impl_port_events::latency_changed) (void *data)

latency changed.

Since version 2

## ◆ tag_changed

void(* pw_impl_port_events::tag_changed) (void *data)

tag changed.

Since version 3

The documentation for this struct was generated from the following file:

- pipewire/impl-port.h